# -*- coding: utf-8 -*-
# Copyright (C) 2010  Michał Masłowski  <mtjm@mtjm.eu>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


"""TJOOB plugin for GetMediumURL."""


import re

from getmediumurl.htmlplugin import HTMLPlugin, HTMLMedium
from getmediumurl.format import SimpleFormat


__all__ = ("Tjoob",)


class TjoobMedium(HTMLMedium):

    """A video on TJOOB."""

    url_format = "http://www.tjoob.com/vids/%s/"
    website_name = "TJOOB"

    @property
    def title(self):
        """Video title."""
        return self.get_content_substring('<p>Scene/DVD Title: <strong>',
                                          '</strong></p>')

    def __iter__(self):
        """Iterate formats."""
        yield SimpleFormat(url=self.get_content_substring(\
                "<h2><a href=", ".mp4"))


class Tjoob(HTMLPlugin):

    """Plugin for TJOOB."""

    match_re = re.compile("^http://www\.tjoob\.com/vids/(?P<mediumid>\d+)/")
    medium_class = TjoobMedium
